var chapters = [
  { topic: "chapter", section: "1", title: "Introduction to ADF Faces", anchor: "ADFUI101", file: "gs_intro.htm" },
  { topic: "chapter", section: "2", title: "ADF Faces Demo Application", anchor: "ADFUI12727", file: "gs_demo.htm" },
  { topic: "chapter", section: "3", title: "Getting Started with ADF Faces and JDeveloper", anchor: "ADFUI128", file: "gs_jdev.htm" },
  { topic: "chapter", section: "4", title: "Using ADF Faces Client-Side Architecture", anchor: "ADFUI10020", file: "af_arch.htm" },
  { topic: "chapter", section: "5", title: "Using the JSF Lifecycle with ADF Faces", anchor: "ADFUI9852", file: "af_lifecycle.htm" },
  { topic: "chapter", section: "6", title: "Handling Events", anchor: "ADFUI361", file: "af_event.htm" },
  { topic: "chapter", section: "7", title: "Validating and Converting Input", anchor: "ADFUI342", file: "af_validate.htm" },
  { topic: "chapter", section: "8", title: "Rerendering Partial Page Content", anchor: "ADFUI385", file: "af_ppr.htm" },
  { topic: "chapter", section: "9", title: "Organizing Content on Web Pages", anchor: "ADFUI149", file: "af_orgpage.htm" },
  { topic: "chapter", section: "10", title: "Creating and Reusing Fragments, Page Templates, and Components", anchor: "ADFUI655", file: "af_reuse.htm" },
  { topic: "chapter", section: "11", title: "Using Input Components and Defining Forms", anchor: "ADFUI240", file: "af_input.htm" },
  { topic: "chapter", section: "12", title: "Using Tables, Trees, and Other Collection-Based Components", anchor: "ADFUI205", file: "af_table.htm" },
  { topic: "chapter", section: "13", title: "Using List-of-Values Components", anchor: "ADFUI259", file: "af_lov.htm" },
  { topic: "chapter", section: "14", title: "Using Query Components", anchor: "ADFUI263", file: "af_query.htm" },
  { topic: "chapter", section: "15", title: "Using Popup Dialogs, Menus, and Windows", anchor: "ADFUI268", file: "af_dialog.htm" },
  { topic: "chapter", section: "16", title: "Using Menus, Toolbars, and Toolboxes", anchor: "ADFUI191", file: "af_menu.htm" },
  { topic: "chapter", section: "17", title: "Using a Calendar Component", anchor: "ADFUI10105", file: "af_calendar.htm" },
  { topic: "chapter", section: "18", title: "Using Output Components", anchor: "ADFUI276", file: "af_output.htm" },
  { topic: "chapter", section: "19", title: "Displaying Tips, Messages, and Help", anchor: "ADFUI367", file: "af_message.htm" },
  { topic: "chapter", section: "20", title: "Working with Navigation Components", anchor: "ADFUI297", file: "af_navigate.htm" },
  { topic: "chapter", section: "21", title: "Determining Components at Runtime", anchor: "ADFUI13607", file: "af_dynamic.htm" },
  { topic: "chapter", section: "22", title: "Introduction to ADF Data Visualization Components", anchor: "ADFUI450", file: "dv_intro.htm" },
  { topic: "chapter", section: "23", title: "Using Graph Components", anchor: "ADFUI459", file: "dv_graph.htm" },
  { topic: "chapter", section: "24", title: "Using Gauge Components", anchor: "ADFUI482", file: "dv_gauge.htm" },
  { topic: "chapter", section: "25", title: "Using Pivot Table Components", anchor: "ADFUI498", file: "dv_crosstab.htm" },
  { topic: "chapter", section: "26", title: "Using Gantt Chart Components", anchor: "ADFUI533", file: "dv_gantt.htm" },
  { topic: "chapter", section: "27", title: "Using Timeline Components", anchor: "ADFUI12890", file: "dv_timeline.htm" },
  { topic: "chapter", section: "28", title: "Using Map Components", anchor: "ADFUI511", file: "dv_map.htm" },
  { topic: "chapter", section: "29", title: "Using Hierarchy Viewer Components", anchor: "ADFUI9951", file: "dv_hviewer.htm" },
  { topic: "chapter", section: "30", title: "Using Treemap and Sunburst Components", anchor: "ADFUI12936", file: "dv_treemap.htm" },
  { topic: "chapter", section: "31", title: "Customizing the Appearance Using Styles and Skins", anchor: "ADFUI330", file: "af_skin.htm" },
  { topic: "chapter", section: "32", title: "Internationalizing and Localizing Pages", anchor: "ADFUI425", file: "af_global.htm" },
  { topic: "chapter", section: "33", title: "Developing Accessible ADF Faces Pages", anchor: "ADFUI436", file: "af_access.htm" },
  { topic: "chapter", section: "34", title: "Creating Custom ADF Faces Components", anchor: "ADFUI552", file: "ad_custom.htm" },
  { topic: "chapter", section: "35", title: "Allowing User Customization on JSF Pages", anchor: "ADFUI685", file: "ad_persist.htm" },
  { topic: "chapter", section: "36", title: "Adding Drag and Drop Functionality", anchor: "ADFUI740", file: "af_dnd.htm" },
  { topic: "chapter", section: "37", title: "Using Different Output Modes", anchor: "ADFUI11506", file: "ad_output.htm" },
  { topic: "chapter", section: "38", title: "Using the Active Data Service with an Asynchronous Backend", anchor: "ADFUI12982", file: "af_ads.htm" },
  { topic: "appendix", section: "A", title: "ADF Faces Configuration", anchor: "ADFUI574", file: "ap_config.htm" },
  { topic: "appendix", section: "B", title: "Message Keys for Converter and Validator Messages", anchor: "ADFUI623", file: "ap_msgkey.htm" },
  { topic: "appendix", section: "C", title: "Keyboard Shortcuts", anchor: "ADFUI10149", file: "ap_kbd.htm" },
  { topic: "appendix", section: "D", title: "Creating Web Applications for Touch Devices Using ADF Faces", anchor: "ADFUI13060", file: "ap_tablet.htm" },
  { topic: "appendix", section: "E", title: "Quick Start Layout Themes", anchor: "ADFUI11581", file: "ap_themes.htm" },
  { topic: "appendix", section: "F", title: "Code Samples", anchor: "ADFUI11717", file: "ap_samples.htm" },
  { topic: "appendix", section: "G", title: "Troubleshooting ADF Faces", anchor: "ADFUI11873", file: "ap_trouble.htm" },
  { } ];
